doesn't let user examine installation process any more

Bug #183209 reported by Brian J. Murrell on 2008-01-15
20
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned
update-manager (Ubuntu)
Medium
Michael Vogt
Hardy
Medium
Michael Vogt

Bug Description

Binary package hint: update-manager

Update Manager used to show the results of all of the tty output from installing packages in a window that one had to specifically close when done installing. This was useful to see what errors occurred or information messages might have been displayed. It no longer seems to do this. Certainly not in a case where there are errors. Instead I get a window with only the specific errors. That is useless. Frequently the nature of the error is in the context of the package being installed.

This is the second usability regression I have filed about the latest update-manager. It seems like it's being dumbed down for the numb-brained masses at the expense of those who really understand and want to see what's going on.

Can I humbly request that you don't forget that some of your users are intelligent and want to see details such as package installation output and the versions of packages that are installed and being upgraded and restore those features?

We're not all point-and-drool dummies who don't (want to) read a quarter of what's displayed for them to read.

Michael Vogt (mvo) on 2008-01-15
Changed in update-manager:
assignee: nobody → mvo
importance: Undecided → Medium
milestone: none → hardy-alpha-4
status: New → Confirmed
Data (ubuntuaddress) wrote :

I would second that. Especially that now the close button is useless as the window closes itself afterwards.
I am not sure how it was before, but how about the following:
- The installation progress window closes itself after installation, if the "Details" (a.k.a. tty output) are off/hidden. Even the close button should be hidden as there is no use for it in this case
- When the tty output/Details are shown (which means the user clicked on "Details"), however, the window should remain until the user hits the close-button. So the close-button would only be visible, when the tty output is shown.

I hope my description is not too confusing...

So what do you think about that?

Steve Langasek (vorlon) on 2008-01-31
Changed in update-manager:
milestone: hardy-alpha-4 → hardy-alpha-5
Data (ubuntuaddress) wrote :

No activity on this bug for the last month, although bug is milestoned for alpha 5...

Maybe we should clarify what the reason was for the change that introduced the usability regression.
Could someone who knows, why this was changed, explain the reason for that?

When doing an update with synaptic package manager, the install window (with the tty output) still has the behaviour as the one from update-manager used to have.

One could argue, that if one wants to read the tty output, he can do the upgrades via synaptic package manager. Newbies who do not want to see tty go with update-manager. But this is not a valid argument IMHO, because update-manager provides a list of changes for the packages, which synaptic does not AFAIK. And, if it is assumed that no one will read the tty-output, why having the option to show it at all?
And why should the two install windows from synaptic and update-manager, that do exactly the same thing, have different behaviour?

So please, if there was no real important reason for the change, can it just be reverted?

On Wed, 2008-02-27 at 11:30 +0000, Data wrote:
> No activity on this bug for the last month, although bug is milestoned
> for alpha 5...

...

> So please, if there was no real important reason for the change, can it
> just be reverted?

Amen to all of that.

b.

Steve Langasek (vorlon) on 2008-02-29
Changed in update-manager:
milestone: hardy-alpha-5 → hardy-alpha-6
Michael Vogt (mvo) on 2008-03-03
Changed in update-manager:
status: Confirmed → Fix Committed

On Mon, 2008-03-03 at 14:06 +0000, Michael Vogt wrote:
> ** Changed in: update-manager (Ubuntu)
> Status: Confirmed => Fix Committed
>

Awesome! Can't wait to try it out.

b.

Steve Langasek (vorlon) on 2008-03-09
Changed in update-manager:
milestone: hardy-alpha-6 → ubuntu-8.04-beta
Michael Vogt (mvo) wrote :

This is now fixed with the latest synaptic in hardy.

Changed in update-manager:
status: Fix Committed → Fix Released
Data (ubuntuaddress) wrote :

Hmm... As of now (up-to-date hardy alpha 6) I am not seeing any change in the behaviour of update-manager. When will the "latest synaptic" come to hardy?

Totally no-go. I just upgraded to the synaptic that showed as fixing this bug in the changelog and still the same old, closing-the-details-window-when-the-installations-are-done business as usual.

Can we call a mulligan on this one and try again?

Data (ubuntuaddress) wrote :

As this is obviously not fixed, setting status back to confirmed.

Changed in update-manager:
status: Fix Released → Confirmed
Steve Langasek (vorlon) on 2008-04-03
Changed in update-manager:
milestone: ubuntu-8.04-beta → ubuntu-8.04
Data (ubuntuaddress) wrote :

Bug #152564 is a duplicate of this one.

Michael Vogt (mvo) on 2008-04-24
Changed in update-manager:
milestone: ubuntu-8.04 → ubuntu-8.04.1
Philipp Kohlbecher (xt28) wrote :

Two pointers:

1. /usr/lib/python2.5/site-packages/UpdateManager/UpdateManager.py contains the following:
/------------
| # close when update was successful (its ok to use a Synaptic::
| # option here, it will not get auto-saved, because synaptic does
| # not save options in non-interactive mode)
| cmd.append("-o")
| cmd.append("Synaptic::closeZvt=true")
\------------

2. The synaptic source contains the following in gtk/rgterminstallprogress.cc:
/------------
| if(res == 0 &&(gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(_closeOnF)) ||
| _config->FindB("Volatile::Non-Interactive", false))) {
| hide();
| return;
| }
\------------

If I interpret this correctly, this means that synaptic unconditionally closes the progress window upon completion when running in non-interactive mode (which it is when it's run by update-manager) and update-manager additionally instructs synaptic to close that window.

I am guessing that both these things would have to be changed in order to make this work again.

This is probably unrelated to what happens in the case of install errors.

Hope this helps. Please fix this, I don't like to be treated like a complete noob by my computer (at least I want to be able to opt out).

Michael Vogt (mvo) wrote :

I uploaded a version of update-manager and update-manager-core to my PPA at:
deb http://ppa.launchpad.net/mvo/ubuntu hardy main

that honors a gconf key /apps/update-manager/autoclose_install_window.

Here is a summary of the current behavior with the default settings
 - for upgrades with no error the install window closes automatically
 - for upgrades with errors the window stays open

If you change the autoclose_install_window key the window is always left open.

The versionnumber of the upload is "1:0.87.28~ppa1".

Michael Vogt (mvo) wrote :

It looks like there is a problem in synaptic when it is set to "Apply changes in a terminal window" in Preferences/General. In this setting (that is not the default) it will always close the terminal window, regardless of a error or not. I add a additional bugtask against synaptic for this.

Michael Vogt (mvo) wrote :

Sorry, I was wrong about the synaptic auto-close problem. It does check if there was a error and only closes the window when there is none.

Changed in synaptic:
status: New → Invalid
Steve Langasek (vorlon) on 2008-06-05
Changed in synaptic:
status: New → Invalid
Changed in update-manager:
assignee: nobody → mvo
importance: Undecided → Medium
milestone: none → ubuntu-8.04.1
status: New → Confirmed
Steve Langasek (vorlon) on 2008-06-05
Changed in update-manager:
milestone: ubuntu-8.04.1 → none
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.91.5

---------------
update-manager (1:0.91.5) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - support "old-releases.ubuntu.com" as a valid mirror and
      auto transition from that to the regular archive
      (LP: #235527)
    - add extra paraonoia when adding a missing admin group
      (thanks to LaMont Jones) LP: #241723
  * UpdateManager/ChangelogViewer.py:
    - support "exo-open" (xfce) too (LP: #240473)
  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * DistUpgrade/DistUpgradeController.py:
    - fix typo and unfuzzy translations (LP: #220505)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - remove ports.ubuntu.com from powerpc, it is not available on
      ports.ubuntu.com but on archive.ubuntu.com (LP: #241729)

 -- Michael Vogt <email address hidden> Fri, 20 Jun 2008 20:02:50 +0200

Changed in update-manager:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in update-manager:
milestone: ubuntu-8.04.1 → none
status: Confirmed → Fix Committed
Matt Neilson (ichthyoboy) wrote :

Confirmed as fixed.

Martin Pitt (pitti) wrote :

Copied to hardy-updates.

Changed in update-manager:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers